# eric5.Plugins.VcsPlugins.vcsSubversion.SvnNewProjectOptionsDialog

Module implementing the Subversion Options Dialog for a new project from the repository.

### Global Attributes

None

### Classes

SvnNewProjectOptionsDialog | Class implementing the Options Dialog for a new project from the repository.

### Functions

None

## SvnNewProjectOptionsDialog

Class implementing the Options Dialog for a new project from the repository.

### Derived from

QDialog, Ui_SvnNewProjectOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnNewProjectOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
on_layoutCheckBox_toggled | Private slot to handle the change of the layout checkbox.
on_projectDirButton_clicked | Private slot to display a directory selection dialog.
on_protocolCombo_activated | Private slot to switch the status of the directory selection button.
on_vcsProjectDirEdit_textChanged | Private slot to handle a change of the project directory.
on_vcsUrlButton_clicked | Private slot to display a selection dialog.
on_vcsUrlEdit_textChanged | Private slot to handle changes of the URL.

### Static Methods

None

#### SvnNewProjectOptionsDialog (Constructor)

SvnNewProjectOptionsDialog(vcs, parent=None)

Constructor

vcs
  reference to the version control object
parent
  parent widget (QWidget)

#### SvnNewProjectOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of a string (project directory) and a dictionary containing the data entered.

#### SvnNewProjectOptionsDialog.on_layoutCheckBox_toggled

on_layoutCheckBox_toggled(checked)

Private slot to handle the change of the layout checkbox.

checked
  flag indicating the state of the checkbox (boolean)

#### SvnNewProjectOptionsDialog.on_projectDirButton_clicked

on_projectDirButton_clicked()

Private slot to display a directory selection dialog.

#### SvnNewProjectOptionsDialog.on_protocolCombo_activated

on_protocolCombo_activated(protocol)

Private slot to switch the status of the directory selection button.

protocol
  selected protocol (string)

#### SvnNewProjectOptionsDialog.on_vcsProjectDirEdit_textChanged

on_vcsProjectDirEdit_textChanged(txt)

Private slot to handle a change of the project directory.

txt
  name of the project directory (string)

#### SvnNewProjectOptionsDialog.on_vcsUrlButton_clicked

on_vcsUrlButton_clicked()

Private slot to display a selection dialog.

#### SvnNewProjectOptionsDialog.on_vcsUrlEdit_textChanged

on_vcsUrlEdit_textChanged(txt)

Private slot to handle changes of the URL.

txt
  current text of the line edit (string)

Up